%define _name sawfish
%define build_themer 0

Name: sawfish2
Version: 2.0
Release: alt3

Summary: An extensible window manager for the X Window System
License: GPL
Group: Graphical desktop/Sawfish
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %_name-%version.tar.bz2

Conflicts: %_name

%define librep_ver 0.16.1
%define rep_gtk_ver 0.16-alt2

PreReq(post,postun): %__install_info
Requires: librep >= %librep_ver
Requires: rep-gtk2 >= %rep_gtk_ver
Requires: rep-gtk2-gnome >= %rep_gtk_ver

BuildPreReq: librep-devel >= %librep_ver

# Automatically added by buildreq on Sun Oct 06 2002
BuildRequires: XFree86-devel XFree86-libs Xft-devel esound-devel fontconfig-devel freetype2-devel gdbm gdk-pixbuf-gnomecanvas glib glib2-devel gnome-libs gnome-session gnome-vfs2 gtk+ imlib libGConf2 libORBit2 libart_lgpl libatk-devel libaudiofile-devel libbonobo-activation libbonobo2 libbonoboui libdb1 libexpat libgmp-devel libgnome libgnomecanvas libgnomeui libgtk+2-devel libjpeg liblinc libpango-devel librep-devel libssl libxml2 pkgconfig rep-gtk-gnome rep-gtk2-gnome

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%package themer
Summary: A GUI for creating sawfish window manager themes
Group: Graphical desktop/Sawfish
Requires: %name = %version-%release, rep-gtk-libglade

%description themer
The sawfish-themer package contains an optional theme builder for the
sawfish window manager. sawfish-themer allows static window themes to
be created and edited in a graphical environment.

%ifarch %ix86
%define librep_platform i386-%_vendor-%_target_os
%else
%define librep_platform %_target_platform
%endif

%prep
%setup -q -n %_name-%version

%build
%configure \
%if ! %build_themer
    --disable-themer
%endif

# SMP-incompatible build
%make host_type=%librep_platform

%install
%__mkdir_p %buildroot%_datadir/gnome/wm-properties

%make host_type=%librep_platform \
      DESTDIR=%buildroot GNOMEDIR=%prefix install

%find_lang %_name

# binaries list for base package (excludes themer)
find %buildroot%_bindir -type f| \
%__grep -v 'themer'| %__sed -e 's|^%buildroot||' >%name-bin.files

%post
%install_info %_name.info

%preun
%uninstall_info %_name.info

%files -f %_name.lang
%_bindir/%_name
%_bindir/%_name-[cu]*
%_datadir/%_name/*
%_datadir/control-center-2.0/capplets/*
%_datadir/gnome/wm-properties/*
%_datadir/pixmaps/*
%_libdir/%_name/%version/%librep_platform
%_libdir/rep/%librep_platform/%_name
%_infodir/%{_name}*
%doc README NEWS FAQ THANKS BUGS TODO
%doc po/sawfish.pot lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST

%if %build_themer
%files themer
%_bindir/sawfish-themer
%_datadir/%_name/%version/themer.glade
%endif

%changelog
* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt3
- rebuild with new pango, gtk+ 

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0-alt2
- no SMP build

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- First build for Sisyphus. 
